Package bitel.billing.server.admin.errorlog.bean

# Class AlarmErrorMessage

java.lang.Object
bitel.billing.server.admin.errorlog.bean.ErrorMessage
bitel.billing.server.admin.errorlog.bean.AlarmErrorMessage

    public class AlarmErrorMessage
    extends ErrorMessage

Срочное сообщение об ошибке, отправляемое по почте.

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.admin.errorlog.bean.ErrorMessage

  `subject, text`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AlarmErrorMessage​(java.lang.String key, java.lang.String subject, java.lang.String text)` |
  `AlarmErrorMessage​(java.lang.String key, java.lang.String subject, java.lang.String text, java.lang.Throwable ex)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getKey()` |
  `java.lang.String` | `getText()` |
  `boolean` | `isDumpStackTrace()` |
  `boolean` | `isSendToEmail()` |
  `boolean` | `isSendToLog()` |
  `void` | `setDumpStackTrace​(boolean dumpStackTrace)` |
  `void` | `setSendToEmail​(boolean isSendToEmail)` |
  `void` | `setSendToLog​(boolean isSendToLog)` |

  ### Methods inherited from class bitel.billing.server.admin.errorlog.bean.ErrorMessage

  `getRegistrationTime, getSubject, setRegistrationTime`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AlarmErrorMessage

    public AlarmErrorMessage​(java.lang.String key, java.lang.String subject, java.lang.String text)

  - ### AlarmErrorMessage

    public AlarmErrorMessage​(java.lang.String key, java.lang.String subject, java.lang.String text, java.lang.Throwable ex)

- ## Method Details

  - ### getKey

    public java.lang.String getKey()

  - ### getText

    public java.lang.String getText()
    Overrides:
      `getText` in class `ErrorMessage`

  - ### isSendToEmail

    public boolean isSendToEmail()

  - ### setSendToEmail

    public void setSendToEmail​(boolean isSendToEmail)

  - ### isSendToLog

    public boolean isSendToLog()

  - ### setSendToLog

    public void setSendToLog​(boolean isSendToLog)

  - ### isDumpStackTrace

    public boolean isDumpStackTrace()

  - ### setDumpStackTrace

    public void setDumpStackTrace​(boolean dumpStackTrace)